# Uses of Interface
io.dapr.v1.DaprProtos.QueryStateItemOrBuilder

Packages that use DaprProtos.QueryStateItemOrBuilder
Package
Description
io.dapr.v1

## Uses of DaprProtos.QueryStateItemOrBuilder in io.dapr.v1

Classes in io.dapr.v1 that implement DaprProtos.QueryStateItemOrBuilder
Modifier and Type
Class
Description
`static final class`
`DaprProtos.QueryStateItem`
Protobuf type `dapr.proto.runtime.v1.QueryStateItem`
`static final class`
`DaprProtos.QueryStateItem.Builder`
Protobuf type `dapr.proto.runtime.v1.QueryStateItem`
Methods in io.dapr.v1 that return DaprProtos.QueryStateItemOrBuilder
Modifier and Type
Method
Description
`DaprProtos.QueryStateItemOrBuilder`
DaprProtos.QueryStateResponse.Builder.`getResultsOrBuilder(int index)`
An array of query results.
`DaprProtos.QueryStateItemOrBuilder`
DaprProtos.QueryStateResponse.`getResultsOrBuilder(int index)`
An array of query results.
`DaprProtos.QueryStateItemOrBuilder`
DaprProtos.QueryStateResponseOrBuilder.`getResultsOrBuilder(int index)`
An array of query results.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.QueryStateItemOrBuilder
Modifier and Type
Method
Description
`List<? extends DaprProtos.QueryStateItemOrBuilder>`
DaprProtos.QueryStateResponse.Builder.`getResultsOrBuilderList()`
An array of query results.
`List<? extends DaprProtos.QueryStateItemOrBuilder>`
DaprProtos.QueryStateResponse.`getResultsOrBuilderList()`
An array of query results.
`List<? extends DaprProtos.QueryStateItemOrBuilder>`
DaprProtos.QueryStateResponseOrBuilder.`getResultsOrBuilderList()`
An array of query results.